by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Jul 16 10:51
    dependabot[bot] labeled #124
  • Jul 16 10:51
    dependabot[bot] opened #124
  • Jul 16 10:51

    dependabot[bot] on npm_and_yarn

    Bump lodash from 4.17.11 to 4.1… (compare)

  • Jul 07 19:31

    dependabot[bot] on npm_and_yarn

    (compare)

  • Jul 07 19:31
    dependabot[bot] closed #120
  • Jul 07 19:31
    dependabot[bot] commented #120
  • Jul 07 19:31
    dependabot[bot] labeled #123
  • Jul 07 19:31
    dependabot[bot] opened #123
  • Jul 07 19:31

    dependabot[bot] on npm_and_yarn

    Bump npm from 6.4.1 to 6.14.6 … (compare)

  • Apr 27 06:33
    adapter267 commented #122
  • Apr 26 16:20
    moloko commented #122
  • Apr 26 14:43
    adapter267 commented #122
  • Apr 24 17:14
    moloko labeled #122
  • Apr 24 17:14
    moloko opened #122
  • Mar 26 17:17
    oliverfoster commented #121
  • Mar 26 15:53
    moloko commented #121
  • Mar 26 10:14
    oliverfoster commented #121
  • Mar 26 10:07
    tomgreenfield commented #121
  • Mar 26 10:03
    oliverfoster commented #121
  • Mar 26 09:59
    tomgreenfield labeled #121
VikramSDoke
@VikramSDoke
i am trying to insall this plugins https://www.adaptlearning.org/index.php/plugin-browser/

i am trying to insall this plugins https://www.adaptlearning.org/index.php/plugin-browser/

how can i add these plugin into it.

Matt Leathes
@moloko
yes, but install into the Authoring Tool or the Framework
I cannot help you if you do not answer that question
VikramSDoke
@VikramSDoke
authoring tool
Matt Leathes
@moloko
right
you absolutely must not use the Adapt CLI to install plugins into the authoring tool
in fact you should not be using the Adapt CLI at all if you are using the authoring tool
when you find a plugin you like in the plugin browser
click 'plugin homepage'
then click the green 'clone or download' button
then 'download zip'
it's that zip you need to upload into the authoring tool as described here.
VikramSDoke
@VikramSDoke
properties.schema this file is not in the root folder.
Matt Leathes
@moloko
then it's not authoring tool compatible
VikramSDoke
@VikramSDoke
so can I copy properties.schema from other location and paste in the root.
Matt Leathes
@moloko
could you give me a link to the actual plugin
(not the plugin browser)
VikramSDoke
@VikramSDoke

could you give me a link to the actual plugin

https://github.com/adaptlearning/adapt-contrib-spoor

yes got it
Matt Leathes
@moloko
image.png
VikramSDoke
@VikramSDoke
yes
Matt Leathes
@moloko
also, that plugin should be installed in the authoring tool by default...
VikramSDoke
@VikramSDoke
sorry for this i am not noticed this
Matt Leathes
@moloko
it's a 'core plugin'
all of which are downloaded automatically when you install the authoring tool
VikramSDoke
@VikramSDoke
OKay
any command for view core plugins in it
Matt Leathes
@moloko
it says in the link above
If you want to view the framework plugins that are installed in your authoring tool instance, head to Plugin management (found in the top menu). Here, you can view the details of any installed plugins, enable or disable them for use in other courses, and check for any available updates.
VikramSDoke
@VikramSDoke
OKay
Thanks @moloko for your quick help..!
Matt Leathes
@moloko
no problem, I have updated https://github.com/adaptlearning/adapt_authoring/wiki/Plugin-Management to include some information about how to actually get a plugin zip
Matt Leathes
@moloko
anyone know how someone who has managed to register a plugin that's hosted in GitLab might go about undoing that? Answers here please!
Equally it seems reasonable that we might add GitLab support to the roadmap, if you agree please upvote adaptlearning/adapt-cli#122
canstudios-matth
@canstudios-matth
Hi, I'm having an issue when running the adapt install command. I'm getting a TypeError: Invalid Version : null error message. Has anyone come across this problem before and/or knows a way to resolve it? Full command output can be found at https://hastebin.com/vosigiquzi.rb
Oliver Foster
@oliverfoster
what's in your adapt.json?
canstudios-matth
@canstudios-matth
@oliverfoster Edited.
Oliver Foster
@oliverfoster
those plugins are not publically available
in the plugin registry
adapt install uses the public registry to download compatible plugins
that is unless you have a separate registry
check your .bowerrc
canstudios-matth
@canstudios-matth
Yeah, we use a separate registry.
Oliver Foster
@oliverfoster
that's probably the issue then
canstudios-matth
@canstudios-matth
Ah, okay.
Thank you for the heads up, I'll investigate further.